Headers

  • Content-Type string

    Default value is application/json.

  • Accept string

    Default value is application/json.

  • User-Agent string

    Default value is Deliverect/{version}.

  • X-Server-Authorization-HMAC-SHA256 string

    Default value is {signature}.

Query parameters

  • accountId string

    The merchant's account Id in Deliverect

  • loyaltyProfileId string

    The Id of the profile where the response configuration was stored

  • locationId string

    The location ID related to the merchant's account in Deliverect

  • channelLinkId string

    The channel link ID related to the location of the merchant's account in Deliverect

Responses

  • 200 application/json

    200

    Hide response attributes Show response attributes object
    • name string
    • description string
    • media object
      Hide media attributes Show media attributes object
      • url string
      • mediaType string
  • 400 application/json

    400

GET /loyalty/tiers
Response examples (200)
[
   {
       "name": "Bronze",
       "description": "Way to go!",
       "media": {
           "url": "https://deliverect.com/icon1.png",
           "mediaType": "image"
       }
   },
   {
       "name": "Silver",
       "description": "This is a higher tier!",
       "media": {
           "url": "https://deliverect.com/icon2.png",
           "mediaType": "image"
       }
   }
]
Response examples (400)
{}